
extern "C" {

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <stdio.h>
#include <dirent.h>
#include <fcntl.h>

#include <gmem.h>
}

#include <gfile.h>
#include <GString.h>

#include <qdir.h>


// replacement stubs to simplify (and speed up) operations

void *gmalloc ( int size )                   { return malloc ( size ); }
void *grealloc ( void *p, int size )         { return realloc ( p, size ); }
void gfree ( void *p )                       { free ( p ); }
char *copyString ( char *str )               { return strdup ( str ); }
char *getLine(char *buf, int size, FILE *f)  { return fgets ( buf, size, f ); }
GString *getHomeDir ( )                      { return new GString ( QDir::home ( ). absPath ( ). local8Bit ( )); }
GString *appendToPath ( GString *path, char *fileName )   { return new GString ( QDir ( path-> getCString ( )). absFilePath ( fileName ). local8Bit ( )); }

// mostly taken from XPDF, but simplified...

//const char *ramdisk = "/dev/ram3";

GBool openTempFile ( GString **name, FILE **f, char *mode, char *ext )
{
	int fd;
	
#if 0
	fd = open(ramdisk,O_WRONLY);
	if (fd > 0 && write(fd,&fd,1) == 1) 
	  *name = new GString(ramdisk);
#endif
	//	if ( !ext ) 
	//	  ext = ".tmp";

	*name = new GString ( "/tmp/qpdf_XXXXXX" );

	//	s = (*name)-> getCString ( );
	//	(*name)-> append ( ext );
	
	fd = mkstemp((*name)->getCString());

	//	printf("TEMP FILE = %s\n", (*name)->getCString());

	if ( fd < 0 || !( *f = fdopen ( fd, mode ))) {
	  delete *name;
	  return gFalse;
	}
	
	return gTrue;	
}
