INCLUDEPATH += . \
               .. \
               xpdf \
               $(QPEDIR)/include \
               goo 

               
LIBS        +=  \
-L$(QTDIR)/lib -L$(QPEDIR)/lib \
-lqte -lqpe -lstdc++

TARGET       = ipkg-no-render/opt/QtPalmtop/bin/qpdf

TMAKE_CFLAGS_RELEASE = -O3
TMAKE_CXXFLAGS_RELEASE = -O3


TEMPLATE    =  app
CONFIG      *= qt embedded release warn_off
CONFIG      -= warn_on
SOURCES     =  xpdf/Array.cc \
               xpdf/BuiltinFont.cc \
               xpdf/BuiltinFontTables.cc \
               xpdf/CMap.cc \
               xpdf/Catalog.cc \
               xpdf/CharCodeToUnicode.cc \
               xpdf/Decrypt.cc \
               xpdf/Dict.cc \
               xpdf/Error.cc \
               xpdf/FontEncodingTables.cc \
               xpdf/Annot.cc \
               xpdf/Function.cc \
               xpdf/Gfx.cc \
               xpdf/GfxFont.cc \
               xpdf/GfxState.cc \
               xpdf/GlobalParams.cc \
               xpdf/Lexer.cc \
               xpdf/Link.cc \
               xpdf/NameToCharCode.cc \
               xpdf/Object.cc \
               xpdf/OutputDev.cc \
               xpdf/PDFDoc.cc \
               xpdf/Page.cc \
               xpdf/Parser.cc \
               xpdf/PSTokenizer.cc \
               xpdf/Stream.cc \
               xpdf/TextOutputDev.cc \
               xpdf/UnicodeMap.cc \
               xpdf/XRef.cc \	
               xpdf/Outline.cc \
               xpdf/JBIG2Stream.cc \
               xpdf/PDFDocEncoding.cc \
               xpdf/FontFile.cc \
               xpdf/FTFont.cc \
               xpdf/T1Font.cc \
               xpdf/SFont.cc \
               xpdf/UnicodeTypeTable.cc \
               goo/GHash.cc \
               goo/GString.cc \
               goo/GList.cc \
               QOutputDev.cpp \
               qdocstate.cpp  \
               qgesture.cpp \
               qdocview.cpp \
               qpdfview.cpp \
               qpdf.cpp \
               qbusybar.cpp \
               gooStub.cpp \
               textedit.cpp \
               qdoctext.cpp \
               qpdftext.cpp \
               qdocnotes.cpp \
               xmlparser.cpp \
               autotest.cpp \
               qpdffileselector.cpp \
               qpdfconfig.cpp \
               qqimage.cpp


HEADERS     =  QOutputDev.h \
               qgesture.h \
               qdocview.h \
               qpdfview.h \
               qbusybar.h \
               qpdf.h \
               textedit.h \
               qdocnotes.h \
               qdocstate.h \
               qpdftext.h \
               qdoctext.h \
               xmlparser.h \
               qpdffileselector.h \
               qpdfconfig.h \
               qqimage.h



DESTDIR      = .
INTERFACES = preferences.ui


TRANSLATIONS = ../../../i18n/de/qpdf.ts \
	 ../../../i18n/en/qpdf.ts \
	 ../../../i18n/es/qpdf.ts \
	 ../../../i18n/fr/qpdf.ts \
	 ../../../i18n/hu/qpdf.ts \
	 ../../../i18n/ja/qpdf.ts \
	 ../../../i18n/ko/qpdf.ts \
	 ../../../i18n/no/qpdf.ts \
	 ../../../i18n/pl/qpdf.ts \
	 ../../../i18n/pt/qpdf.ts \
	 ../../../i18n/pt_BR/qpdf.ts \
	 ../../../i18n/sl/qpdf.ts \
	 ../../../i18n/zh_CN/qpdf.ts \
	 ../../../i18n/it/qpdf.ts \
	 ../../../i18n/zh_TW/qpdf.ts
